Subject: RE: bug#17272: bug#19064: bug#17272: bug#19064: bug#17272: bug#19064: 25.0.50; `message' overwrites `y-or-n-p' prompt, so user misses it

From: Drew Adams <[email-masked]>
Date: Tue, 26 Nov 2019 16:46:24 -0800 (PST)

> So I installed the patch that allows it.

FWIW and FTR, as the filer of bug #19064,
and as I expressed several times in this
thread, I strongly object to the changes
that have now been made.  All of what I said
has been ignored.  Unfortunate.

This is not at all a good fix for the problem
reported.  And it imposes a very bad behavior
more generally - beyond the problem cited.

`message' and `minibuffer-message', i.e.,
writing to the echo area and to the minibuffer,
both have their uses when the minibuffer is
active.

And `y-or-n-p' should continue to use `read-key',
not the minibuffer.

And `enable-recursive-minibuffers' should not
be turned on automatically by `yes-or-no-p'.
Instead, if the function calling `yes-or-no-p'
has not turned it on then an error should be
raised when `yes-or-no-p' tries to use the
minibuffer.

I'm not aware of any part of this "fix" that's
acceptable.